#!/bin/sh

# this script is executed in a locked context, so it does not have to
# explicitly flock the addon remove opeartion
#
# the idea is that we do not want to have two of these scripts running
# in paralle

# needed for opkg to function properly
export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
export SHELL=/bin/sh

LOGDIR="/var/log/dss11-websetup"
mkdir -p $LOGDIR 1>&2 >/dev/null

if [[ -s /var/lib/opkg/addon-replacements ]]; then
    for f in `cat /var/lib/opkg/addon-replacements`;
    do
        if [[ -f /var/lib/opkg-add-ons/info/$f.list ]]; then
            echo "Removing old non system addon $f" >> "$LOGDIR/update.log"
            addon remove $f >> $LOGDIR/update.log
        fi
    done
fi

